vue-element-admin执行npm install时候报错 raphael

错误详情

npm ERR! code 128
npm ERR! command failed
npm ERR! command git --no-replace-objects ls-remote ssh://git@github.com/nhn/raphael.git
npm ERR! fatal: unable to access 'https://github.com/nhn/raphael.git/': gnutls_handshake() failed: The TLS connection was non-properly terminated.

尝试了官方issue里提到的几个解决方案, 都不好使, 只能临时修复. 引起报错的包是markdown编辑器依赖的包, 如果项目中暂时不需要markdown, 可以删除markdown就可以了.

vue-element-admin\package.json 删除 "tui-editor": "1.3.3",
vue-element-admin\src\components 删除 MarkdownEditor 文件夹
vue-element-admin\src\views\components-demo 删除 markdown.vue 文件
vue-element-admin\src\router\modules components.js 删除 {path: 'markdown',...}

#重新执行
npm install

参考资料:

https://github.com/PanJiaChen/vue-element-admin/issues/3491

Add a Comment

您的电子邮箱地址不会被公开。 必填项已用*标注